package com.sundot.airport.exam.logic.eighteen.model.params;

import com.sundot.airport.exam.logic.eighteen.model.params.subparam.UserOptionParam;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <b>功能名：SubmitExamParam</b><br>
 * <b>说明：</b> 提交答卷参数类 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-06 Mokou
 */
public class SubmitExamParam {
    /**
     * 客户端类型
     */
    @NotNull(message = "客户端类型不能为空")
    private String clientType;
    /**
     * 考试ID
     */
    @NotNull(message = "考试ID不能为空")
    private String exId;
    /**
     * 测试记录ID
     */
    @NotNull(message = "测试记录ID不能为空")
    private String erId;
    /**
     * 答题用时 秒
     */
    @NotNull(message = "答题用时不能为空")
    private Integer erExamTime;
    /**
     * 用户答案列表
     */
    private List<UserOptionParam> options;

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public String getErId() {
        return erId;
    }

    public void setErId(String erId) {
        this.erId = erId;
    }

    public Integer getErExamTime() {
        return erExamTime;
    }

    public void setErExamTime(Integer erExamTime) {
        this.erExamTime = erExamTime;
    }

    public List<UserOptionParam> getOptions() {
        return options;
    }

    public void setOptions(List<UserOptionParam> options) {
        this.options = options;
    }

    @Override
    public String toString() {
        return "SubmitExamParam{" +
                "clientType='" + clientType + '\'' +
                ", exId='" + exId + '\'' +
                ", erId='" + erId + '\'' +
                ", erExamTime=" + erExamTime +
                ", options=" + options +
                '}';
    }
}
